Skip to content

UploadTenantLogo

PUT
/api/v1/t/{tenant}/settings/logo
curl --request PUT \
--url https://example.com/api/v1/t/example/settings/logo \
--header 'Content-Type: image/png' \
--data binary
tenant
required
string

Tenant slug

string format: binary

OK

Media typeapplication/json
object
logoUrl
required
string
Examplegenerated
{
"logoUrl": "example"
}

Bad Request

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
errors
object
key
additional properties
Array<string>
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}

Forbidden

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Too Many Requests

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}